Bug 204075 - [patch] x11/gnome3: Fix build & packaging with Python 3.5
Summary: [patch] x11/gnome3: Fix build & packaging with Python 3.5
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-gnome mailing list
URL:
Keywords: needs-qa, patch
Depends on:
Blocks: 203428
  Show dependency treegraph
 
Reported: 2015-10-27 20:45 UTC by Ruslan Makhmatkhanov
Modified: 2015-11-19 07:00 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (gnome)
koobs: merge-quarterly?


Attachments
python 3.5 patches (9.10 KB, application/x-compressed-tar)
2015-10-27 20:45 UTC, Ruslan Makhmatkhanov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ruslan Makhmatkhanov freebsd_committer 2015-10-27 20:45:22 UTC
Created attachment 162514 [details]
python 3.5 patches

Here is a set of patches to let gnome3 be built with python3.5 
Most of the files are just packaging fixes (.pyo extension is no more in python 3.5), and one build patch is for py3-cairo, for it's bundled waf.

After that we can lauch an exp-run to make 3.5 default version of python3.

Also referencing 203428 bug, because it will resolve reporters problem.
Comment 1 Ruslan Makhmatkhanov freebsd_committer 2015-10-27 20:47:09 UTC
py3-cairo build patch is obtained from Ubuntu repository.
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2015-10-28 06:20:19 UTC
@Ruslan Is it this issue that need an exp-run? If so set flag here, if not set flag on Bug 203428, if not that one, create issue for exp-run patch and have it depend on this
Comment 3 Ruslan Makhmatkhanov freebsd_committer 2015-10-28 08:43:35 UTC
No, this issue doesn't requires exp-run - these patches are pretty simple and I already successfully use gnome3 with python3.5. Right now we have python3.4 as default python3 version in Mk/Uses/python.mk. Changing it to 3.5  will require an exp-run. I'll create an PR when this one will be committed.
Comment 4 commit-hook freebsd_committer 2015-11-18 22:14:05 UTC
A commit references this bug:

Author: rm
Date: Wed Nov 18 22:13:54 UTC 2015
New revision: 401900
URL: https://svnweb.freebsd.org/changeset/ports/401900

Log:
  Let gnome3 stack be built with python 3.5

  This mostly fixing packaging for python3.5, but there is
  also py35 waf fix for py3-cairo, that was obtained from Ubuntu
  repository.

  PR:		204075
  Approved by:	maintainer timeout (22 days)

Changes:
  head/accessibility/accerciser/Makefile
  head/accessibility/accerciser/pkg-plist
  head/accessibility/orca/Makefile
  head/accessibility/orca/pkg-plist
  head/accessibility/py3-atspi/Makefile
  head/accessibility/py3-atspi/pkg-plist
  head/deskutils/alacarte/Makefile
  head/deskutils/alacarte/pkg-plist
  head/devel/py3-gobject3/pkg-plist
  head/devel/pygobject3-common/Makefile
  head/editors/gedit-plugins/Makefile
  head/editors/gedit-plugins/pkg-plist
  head/graphics/eog-plugins/Makefile
  head/graphics/eog-plugins/pkg-plist
  head/graphics/py3-cairo/Makefile
  head/graphics/py3-cairo/files/pycairo-1.10.0-waf-py3_5.patch
  head/graphics/py3-cairo/pkg-plist
Comment 5 Kubilay Kocak freebsd_committer freebsd_triage 2015-11-19 07:00:51 UTC
There is an existing issue tracking the move to Python 3.5 as the default version